[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] libvirt default network



On Wed, Feb 12, 2014 at 06:54:41AM -0700, Eric Blake wrote:
> On 02/12/2014 04:41 AM, Thierry Parmentelat wrote:
> > Hi again
> 
> [Please don't top-post on technical lists]
> 
> > 
> > So we did 2 changes in the specfile that are described below
> > This has gone through all our nightlies and all, so that works for us
> > 
> > I’m sorry that I can’t seem to get git send-email to work on my mac (complains about missing perl modules ?!?)
> 
> Even if you can't get send-email working, at least using 'git
> format-patch' and attaching the patch files to email is easier for
> exposing your patches than making people chase URLs.
> 
> > Fortunately the changes I did are so simple, I hope you can use the following material
> > 
> > http://git.onelab.eu/?p=libvirt.git;a=commitdiff;h=a0e03e6894d8e8486e79531967b92b83d6d59b86
> > 
> > http://git.onelab.eu/?p=libvirt.git;a=commitdiff;h=7f0c4d07b5faac3f0fb07cd8240f5ae0e1063560
> 
> Thanks!  Not the easiest to get to, but I managed to pull these two
> commits into a single patch, by doing:
> 
> git fetch git://git.onelab.eu/libvirt.git 1.2.1
> git cherry-pick a0e03e
> git cherry-pick 7f0c4d
> git rebase -i   # and squashing the two into one
> 
> Here's the result (I'm not quite sure it is completely correct, but
> having it here on list makes for an easier review):
> 
> 
> From b4c141b1aa5128c35491eaea13c73508d2bcff01 Mon Sep 17 00:00:00 2001
> From: Thierry Parmentelat <thierry parmentelat inria fr>
> Date: Tue, 11 Feb 2014 11:35:20 +0100
> Subject: [PATCH] spec: add missing dependency for setting up default network
> 
> libvirt-daemon-config-network requires libvirt-daemon-driver-network
> to ensure the 'default' network is setup properly, when modules
> are in use.
> ---
>  libvirt.spec.in | 3 +++
>  1 file changed, 3 insertions(+)
> 
> diff --git a/libvirt.spec.in b/libvirt.spec.in
> index e006f2b..857eb3c 100644
> --- a/libvirt.spec.in
> +++ b/libvirt.spec.in
> @@ -420,7 +420,9 @@ Requires: libvirt-daemon-driver-vbox =
> %{version}-%{release}
>  Requires: libvirt-daemon-driver-nwfilter = %{version}-%{release}
>          %endif
> 
> +	%if %{with_interface}
>  Requires: libvirt-daemon-driver-interface = %{version}-%{release}
> +	%endif
>  Requires: libvirt-daemon-driver-secret = %{version}-%{release}
>  Requires: libvirt-daemon-driver-storage = %{version}-%{release}
>  Requires: libvirt-daemon-driver-network = %{version}-%{release}
> @@ -718,6 +720,7 @@ Summary: Default configuration files for the
> libvirtd daemon
>  Group: Development/Libraries
> 
>  Requires: libvirt-daemon = %{version}-%{release}
> +Requires: libvirt-daemon-driver-network = %{version}-%{release}

This will need to be conditional on  driver modules being
enabled

Daniel
-- 
|: http://berrange.com      -o-    http://www.flickr.com/photos/dberrange/ :|
|: http://libvirt.org              -o-             http://virt-manager.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: http://entangle-photo.org       -o-       http://live.gnome.org/gtk-vnc :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]